The omg.lol API
The omg.lol API is a modern, RESTful, friendly thing. It offers endpoints to manage all aspects of your omg.lol service, and responses include multiple elements that aim to make life easy for developers (including a clear message that indicates what happened with your request).
Endpoints requiring authentication with your API key are marked as Bearer Token, and endpoints that don’t require authentication are marked as No Auth. Some endpoints work either way, with unauthenticated requests providing public data and authenticated requests to the same endpoint providing private data.
You can grab a machine-readable copy of the API specification in our source.tube repository.
Account
Obtain information about and make changes to your account
Account · Retrieve account information
Get information about your account
Bearer Token GET /account/email/info
Retrieve account information
curl --location --request GET --header 'Authorization: Bearer api_key' 'https://api.omg.lol/account/person@example.com/info'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here is the account info that you requested.",
"email": "person@example.com",
"name": "Example",
"created": {
"unix_epoch_time": "1553358104",
"iso_8601_time": "2019-03-23T16:21:44+00:00",
"rfc_2822_time": "Sat, 23 Mar 2019 16:21:44 +0000",
"relative_time": "2 years and 9 months ago"
},
"settings": {
"communication": "email_everything"
}
}
}
Account · Retrieve addresses for an account
Get all addresses associated with your account.
Bearer Token GET /account/email/addresses
Retrieve addresses for an account
curl --location --request GET --header 'Authorization: Bearer api_key' 'https://api.omg.lol/account/person@example.com/addresses'
{
"request": {
"status_code": 200,
"success": true
},
"response": [
{
"address": "lifetime-address",
"message": "This address does not expire.",
"registration": {
"message": "This address was registered 2 years and 11 months ago.",
"unix_epoch_time": "1553358201",
"iso_8601_time": "2019-03-23T16:23:21+00:00",
"rfc_2822_time": "Sat, 23 Mar 2019 16:23:21 +0000",
"relative_time": "2 years and 11 months ago"
},
"expiration": {
"expired": false,
"will_expire": false
}
},
{
"address": "compulsoryvotingiscool",
"message": "This address does not expire.",
"registration": {
"message": "This address was registered 1 week and 4 days ago.",
"unix_epoch_time": "1645552219",
"iso_8601_time": "2022-02-22T17:50:19+00:00",
"rfc_2822_time": "Tue, 22 Feb 2022 17:50:19 +0000",
"relative_time": "1 week and 4 days ago"
},
"expiration": {
"expired": false,
"will_expire": false
}
},
{
"address": "haydensato",
"message": "This address does not expire.",
"registration": {
"message": "This address was registered 6 months and 2 weeks ago.",
"unix_epoch_time": "1628978677",
"iso_8601_time": "2021-08-14T22:04:37+00:00",
"rfc_2822_time": "Sat, 14 Aug 2021 22:04:37 +0000",
"relative_time": "6 months and 2 weeks ago"
},
"expiration": {
"expired": false,
"will_expire": false
}
}
]
}
Account · Retrieve the account name
Get the name associated with the account
Bearer Token GET /account/email/name
Retrieve the account name
curl --location --request GET --header 'Authorization: Bearer api_key' 'https://api.omg.lol/account/person@example.com/name'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "The name on this account is Example Person.",
"name": "Example Person"
}
}
Account · Set the account name
Update the name associated with the account
Bearer Token POST /account/email/name
Set the account name
curl --location --request POST --header 'Authorization: Bearer api_key' 'https://api.omg.lol/account/person@example.com/name' --data '{"name": "Example"}'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Your name has been set to Example.",
"name": "Example"
}
}
Account · Retrieve active sessions
Get all sessions associated with the account
Bearer Token GET /account/email/sessions
Retrieve active sessions
curl --location --request GET --header 'Authorization: Bearer api_key' 'https://api.omg.lol/account/person@example.com/sessions'
{
"request": {
"status_code": 200,
"success": true
},
"response": [
{
"session_id": "6040bebeac42816f5173ecd4821372d4",
"user_agent": "Mozilla/5.0 (Linux; Android 6.0; Nexus 5 Build/MRA58N) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.55 Mobile Safari/537.36",
"created_ip": "10.0.222.41",
"created_on": "1639341544",
"expires_on": "1670877544"
},
{
"session_id": "f3aa272bcf6c42d2b78ce096453d8e53",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/15.1 Safari/605.1.15",
"created_ip": "10.0.222.42",
"created_on": "1639349084",
"expires_on": "1670885084"
}
]
}
Account · Remove a session
Delete a session
Bearer Token DELETE /account/email/sessions/session_id
Remove a session
curl --location --request DELETE --header 'Authorization: Bearer api_key' 'https://api.omg.lol/account/person@example.com/sessions/8138f2c3e845d5a094ec2a5b2ac0ab04'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "OK, we’ve deleted that session."
}
}
Account · Retrieve account settings
Get settings associated with the account
Bearer Token GET /account/email/settings
Retrieve account settings
curl --location --request GET --header 'Authorization: Bearer api_key' 'https://api.omg.lol/account/person@example.com/settings'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here are the settings for this account.",
"settings": {
"owner": "person@example.com",
"communication": "email_ok",
"date_format": null,
"web_editor": null
}
}
}
Account · Set account settings
Update settings associated with the account
Bearer Token POST /account/email/settings
Set account settings
curl --location --request POST --header 'Authorization: Bearer api_key' 'https://api.omg.lol/account/person@example.com/settings' --data '{"communication": "email_ok", "web_editor": "advanced"}'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "OK, your settings have been updated."
}
}
Address
Obtain information about and make changes to addresses
Address · Retrieve address availability
Get information about the availability of an address
No Auth GET /address/address/availability
Address is available
curl --location --request GET 'https://api.omg.lol/address/available-address/availability'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "This address is available.",
"address": "available-address",
"available": true,
"availability": "available"
}
}
Address is available but requires encoding
curl --location --request GET 'https://api.omg.lol/address/🥰/availability'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "This address is available, but it must be encoded in Punycode (as xn--js9h).",
"punycode": "xn--js9h",
"see-also": [
"https://www.omg.lol/info/addresses",
"https://datatracker.ietf.org/doc/html/rfc3492"
],
"address": "🥰",
"available": true,
"availability": "available"
}
}
Address is not available
curl --location --request GET 'https://api.omg.lol/address/penelope/availability'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "This address is not available.",
"address": "penelope",
"available": false,
"availability": "unavailable"
}
}
Address · Retrieve address expiration
Get the expiration date for an address
No Auth GET /address/address/expiration
Address is not near expiration
curl --location --request GET 'https://api.omg.lol/address/foobar/expiration'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "This address is not near expiration.",
"expired": false
}
}
Address expires within the next six months
curl --location --request GET 'https://api.omg.lol/address/prami/expiration'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "This address expires within the next six months.",
"expired": false
}
}
Address has expired
curl --location --request GET 'https://api.omg.lol/address/expired-address/expiration'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "This address expired 3 weeks and 4 days ago.",
"expired": true
}
}
Address · Retrieve public information about an address
Get limited (public) information about an address when the request is not authenticated
No Auth GET /address/address/info
Retrieve public information about an address
curl --location --request GET 'https://api.omg.lol/address/foobar/info'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"address": "foobar",
"message": "This address was registered 4 years and 4 months ago.",
"registration": {
"message": "This address was registered 4 years, 4 months and 3 weeks ago.",
"unix_epoch_time": 1554448408,
"iso_8601_time": "2019-04-05T07:13:28+00:00",
"rfc_2822_time": "Fri, 05 Apr 2019 07:13:28 +0000",
"relative_time": "4 years, 4 months and 3 weeks ago"
},
"expiration": {
"message": "This address is not near expiration.",
"expired": false
},
"verification": {
"message": "This address has been verified.",
"verified": true
}
}
}
Retrieve public information about an expired address
curl --location --request GET 'https://api.omg.lol/address/expired-address/info'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"address": "expired-address",
"message": "This address was registered 1 year and 3 weeks ago.",
"registration": {
"message": "This address was registered 1 year, 3 weeks and 4 days ago.",
"unix_epoch_time": 1659647768,
"iso_8601_time": "2022-08-04T21:16:08+00:00",
"rfc_2822_time": "Thu, 04 Aug 2022 21:16:08 +0000",
"relative_time": "1 year, 3 weeks and 4 days ago"
},
"expiration": {
"message": "This address expired 3 weeks and 4 days ago.",
"expired": true,
"unix_epoch_time": 1691183768,
"iso_8601_time": "2023-08-04T21:16:08+00:00",
"rfc_2822_time": "Fri, 04 Aug 2023 21:16:08 +0000",
"relative_time": "3 weeks, 4 days and 14 hours ago"
}
}
}
Address · Retrieve private information about an address
Get comprehensive information about an address when the request is authenticated
Bearer Token GET /address/address/info
Retrieve private information about an address
curl --location --request GET --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/foobar/info'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"address": "foobar",
"message": "This address was registered 3 years and 9 months ago and expires in 14 years, 11 months and 5 days.",
"registration": {
"message": "This address was registered 3 years, 9 months and 3 weeks ago.",
"unix_epoch_time": "1554448408",
"iso_8601_time": "2019-04-05T07:13:28+00:00",
"rfc_2822_time": "Fri, 05 Apr 2019 07:13:28 +0000",
"relative_time": "3 years, 9 months and 3 weeks ago"
},
"expiration": {
"message": "This address expires in 14 years, 11 months and 5 days.",
"expired": false,
"will_expire": true,
"unix_epoch_time": "2145916800",
"iso_8601_time": "2038-01-01T00:00:00+00:00",
"rfc_2822_time": "Fri, 01 Jan 2038 00:00:00 +0000",
"relative_time": "14 years, 11 months and 5 days"
},
"verification": {
"message": "This address has been verified.",
"verified": true
},
"owner": "634b9e7a7fbce"
}
}
DNS
Requests for managing DNS.
DNS · Retrieve DNS records for an address
Get a list of all of your DNS records.
Bearer Token GET /address/address/dns
Retrieve DNS records for an address
curl --location --request GET --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/foobar/dns'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here are the DNS records for foobar.",
"dns": [
{
"id": "90938c27fd3c0eb1",
"type": "A",
"name": "foobar",
"data": "192.167.0.1",
"priority": null,
"ttl": 3600,
"created_at": "2026-09-13T01:25:58+00:00",
"updated_at": "2026-09-13T01:25:58+00:00"
},
{
"id": "744d5c8184eae0c5",
"type": "CNAME",
"name": "elsewhere.foobar",
"data": "elsewhere.tld",
"priority": null,
"ttl": 3600,
"created_at": "2026-09-13T01:26:35+00:00",
"updated_at": "2026-09-13T01:26:35+00:00"
}
]
}
}
DNS · Create a new DNS record
Add a new DNS record.
Bearer Token POST /address/address/dns
Create a new DNS record
curl --location --request POST --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/foobar/dns' --data '{"type": "A", "name": "@", "data": "192.167.0.1"}'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Your DNS record was created successfully.",
"data_sent": {
"type": "A",
"ttl": 3600,
"data": "192.167.0.1",
"class": "IN",
"name": "foobar",
"content": "192.167.0.1"
},
"response_received": {
"http_response_code": 201,
"http_response_text": "Created",
"data": {
"id": "90938c27fd3c0eb1",
"name": "foobar",
"content": "192.167.0.1",
"ttl": 3600,
"priority": null,
"type": "A",
"created_at": "2026-09-13T01:27:04+00:00",
"updated_at": "2026-09-13T01:27:04+00:00"
},
"record_id": "90938c27fd3c0eb1",
"result": "The DNS resource record has been created in the omg.lol zone."
}
}
}
DNS · Edit an existing DNS record
Update an existing DNS record.
Bearer Token PATCH /address/address/dns/id
Edit an existing DNS record
curl --location --request PATCH --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/foobar/dns/2857074' --data '{"type": "A", "name": "@", "data": "192.167.0.2"}'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Your DNS record was patched successfully. Please note the response from DNS Kitchen regarding the record ID, which may have changed.",
"data_sent": {
"id": "90938c27fd3c0eb1",
"type": "A",
"ttl": 3600,
"method": "PATCH",
"data": "192.167.0.2",
"class": "IN",
"name": "foobar",
"content": "192.167.0.2"
},
"response_received": {
"http_response_code": 200,
"http_response_text": "OK",
"data": {
"id": "90938c27fd3c0eb1",
"name": "foobar",
"content": "192.167.0.2",
"ttl": 3600,
"priority": null,
"type": "A",
"created_at": "2026-09-13T01:28:25+00:00",
"updated_at": "2026-09-13T01:28:25+00:00"
},
"record_id": "8f7295f1b744db2d",
"result": "The resource record has been updated. Please note the new record_id in this response, as DNS Kitchen uses deterministic identifiers based on record data."
}
}
}
DNS · Delete a DNS record
Delete a DNS record.
Bearer Token DELETE /address/address/dns/id
Delete a DNS record
curl --location --request DELETE --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/foobar/dns/2857073'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "OK, your DNS record has been deleted."
}
}
Directory
Retrieve the address directory, consisting of addresses that have opted in to be listed
Directory · Retrieve the address directory
Retrieve the address directory
No Auth GET /directory
Retrieve the address directory
curl --location --request GET 'https://api.omg.lol/directory'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here’s the omg.lol directory.",
"url": "https://home.omg.lol/directory",
"directory": [
"0",
"adam",
...
]
}
}
Manage the email configuration for omg.lol addresses
Email · Retrieve forwarding address(es)
Retrieve forwarding address(es)
Bearer Token GET /address/address/email/
List forwarding email address(es)
curl --location --request GET --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/adam/email/'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Mail for haydensato@omg.lol will be forwarded to **someone@example.com**.",
"destination_string": "someone@example.com",
"destination_array": [
"someone@example.com"
],
"address": "haydensato",
"email_address": "haydensato@omg.lol"
}
}
Email · Set forwarding address(es)
Set forwarding address(es)
Bearer Token POST /address/address/email/
Set a forwarding email address
curl --location --request POST --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/adam/email/' --data '{"destination": "adam@neatnik.net, test@neatnik.net, test@neatnik.net"}'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Mail for haydensato@omg.lol will be forwarded to **person@example.com**.",
"destination_string": "person@example.com",
"destination_array": [
"person@example.com"
],
"address": "haydensato",
"email_address": "haydensato@omg.lol"
}
}
Set multiple forwarding addresses
curl --location --request POST --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/adam/email/' --data '{"destination": "adam@neatnik.net, test@neatnik.net, test@neatnik.net"}'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Mail for haydensato@omg.lol will be forwarded to **person@example.com**, **another_person@example.com**, and **yet_another_person@example.com**.",
"destination_string": "person@example.com, another_person@example.com, yet_another_person@example.com",
"destination_array": [
"person@example.com",
"another_person@example.com",
"yet_another_person@example.com"
],
"address": "haydensato",
"email_address": "haydensato@omg.lol"
}
}
Clear a forwarding address
curl --location --request POST --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/adam/email/' --data '{"destination": "adam@neatnik.net, test@neatnik.net, test@neatnik.net"}'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Mail for haydensato@omg.lol will not be forwarded.",
"destination_string": null,
"destination_array": [],
"address": "haydensato",
"email_address": "haydensato@omg.lol"
}
}
Now Page
Manage your /now page.
Now Page · Retrieve /now Page
Retrieve the now page for an address.
No Auth GET /address/address/now
Retrieve /now Page
curl --location --request GET 'https://api.omg.lol/address/foobar/now'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here’s the Now Page for @foobar.",
"now": {
"content": "/* This is a sample /now page — edit it and make it your own! */\r\n\r\n{profile-picture}\r\n\r\n# {address} // you can change this to your name!\r\n\r\n## My /now page\r\n\r\n--- Now ---\r\n\r\n(This is a [now page](https://nownownow.com/about), and if you have your own site, [you should make one](https://nownownow.com/about), too.)\r\n\r\n### What I’m reading\r\n\r\n- [Wuthering Heights](https://en.wikipedia.org/wiki/Wuthering_Heights) by [Emily Brontë ](https://en.wikipedia.org/wiki/Emily_Brontë) {book}\r\n- [Monocole](https://monocle.com) {book}\r\n\r\n### What I’m watching\r\n\r\n- [The Jeffersons](https://en.wikipedia.org/wiki/The_Jeffersons) {display}\r\n- [Coronation Street](https://en.wikipedia.org/wiki/Coronation_Street) {display}\r\n\r\n### What I’m making\r\n\r\n- [Sourdough bread](https://www.feastingathome.com/sourdough-bread/) {bread-slice}\r\n- [Socks](https://www.yarnspirations.com/bernat-family-knit-work-socks/BRK0328-001994M.html?cgid=patterns) {socks}\r\n\r\n### What I’m enjoying\r\n\r\n- Time with friends and family {people-roof}\r\n- Planning for my upcoming trip {plane}\r\n\r\n---\r\n\r\n{last-updated}\r\n\r\n[Back to my omg.lol page!](https://{address}.omg.lol)",
"updated": "1674364245",
"listed": "1"
}
}
}
Now Page · Retrieve the now.garden listing
Retrieve all listed /now pages.
No Auth GET /now/garden
Retrieve the now.garden listing
curl --location --request GET 'https://api.omg.lol/now/garden'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here are all of the /now pages in the Now Garden.",
"garden": [
{
"address": "drudge",
"url": "https://penree.com/now",
"updated": {
"unix_epoch_time": "1673929294",
"iso_8601_time": "2023-01-17T04:21:34+00:00",
"rfc_2822_time": "Tue, 17 Jan 2023 04:21:34 +0000",
"relative_time": "22 minutes and 41 seconds ago"
}
},
...
]
}
}
Now Page · Update /now Page
Update the contents of a /now page.
Bearer Token POST /address/address/now
Update /now Page
curl --location --request POST --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/foobar/now' --data '{"content": "/* This is a sample /now page — edit it and make it your own! */\r\n\r\n{profile-picture}\r\n\r\n# {address} // you can change this to your name!\r\n\r\n## My /now page\r\n\r\n--- Now ---\r\n\r\n(This is a [now page](https://nownownow.com/about), and if you have your own site, [you should make one](https://nownownow.com/about), too.)\r\n\r\n### What I’m reading\r\n\r\n- [Wuthering Heights](https://en.wikipedia.org/wiki/Wuthering_Heights) by [Emily Brontë ](https://en.wikipedia.org/wiki/Emily_Brontë) {book}\r\n- [Monocole](https://monocle.com) {book}\r\n\r\n### What I’m watching\r\n\r\n- [The Jeffersons](https://en.wikipedia.org/wiki/The_Jeffersons) {display}\r\n- [Coronation Street](https://en.wikipedia.org/wiki/Coronation_Street) {display}\r\n\r\n### What I’m making\r\n\r\n- [Sourdough bread](https://www.feastingathome.com/sourdough-bread/) {bread-slice}\r\n- [Socks](https://www.yarnspirations.com/bernat-family-knit-work-socks/BRK0328-001994M.html?cgid=patterns) {socks}\r\n\r\n### What I’m enjoying\r\n\r\n- Time with friends and family {people-roof}\r\n- Planning for my upcoming trip {plane}\r\n\r\n---\r\n\r\n{last-updated}\r\n\r\n[Back to my omg.lol page!](https://{address}.omg.lol)",
"listed": "1"}'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "OK, your /now page has been updated."
}
}
OAuth
Endpoints related to omg.lol’s OAuth 2.0 flows
PURLs
Manage the PURLs (or Persistent URLs) for an omg.lol address
PURLs · Create a new PURL
Create a new PURL
Bearer Token POST /address/address/purl
Create a new PURL
curl --location --request POST --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/foo/purl' --data '{"name": "example-purl", "url": "https://example.com", "listed": true}'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "OK, your PURL has been saved.",
"name": "example",
"url": "https://example.com"
}
}
PURLs · Retrieve a specific PURL
Retrieve a specific PURL
Bearer Token GET /address/address/purl/example
Retrieve a specific PURL
curl --location --request GET --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/foo/purl/example'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here’s the PURL you requested.",
"purl": {
"name": "example",
"url": "https://example.com",
"counter": null
}
}
}
PURLs · Retrieve a list of PURLs for an address
Retrieve a list of PURLs associated with an address
Bearer Token GET /address/address/purls
Retrieve a list of PURLs for an address
curl --location --request GET --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/foo/purls'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here are the PURLs for foo.",
"purls": [
{
"name": "awesome",
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"counter": "872"
},
{
"name": "💚",
"url": "https://example.com",
"counter": "33"
}
]
}
}
PURLs · Delete a PURL
Permanently delete a PURL
Bearer Token DELETE /address/address/purl/purl
Delete a PURL
curl --location --request DELETE --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/foobar/purl/example'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "OK, that PURL has been deleted."
}
}
Pastebin
Manage the Pastebin for an omg.lol address
Pastebin · Retrieve a specific paste
Retrieve a specific paste
No Auth GET /address/address/pastebin/paste
Retrieve a specific paste
curl --location --request GET 'https://api.omg.lol/address/adam/pastebin/api'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here’s the paste at adam.paste.lol/api.",
"paste": {
"title": "api",
"content": "This paste, like all others, can be fully managed with the omg.lol API.",
"modified_on": "1656569579"
}
}
}
Pastebin · Retrieve an entire Pastebin
Retrieve an entire Pastebin
Bearer Token GET /address/address/pastebin
Retrieve an entire pastebin
curl --location --request GET --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/adam/pastebin'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here’s the pastebin for adam.",
"pastebin": [
{
"title": "api",
"content": "This paste, like all others, can be fully managed with the omg.lol API.",
"modified_on": "1656569579"
},
{
"title": "hello-world",
"content": "^_^",
"modified_on": "1656569562"
}
]
}
}
Pastebin · Retrieve listed pastes in a Pastebin
Retrieve listed pastes in a Pastebin
No Auth GET /address/address/pastebin
Retrieve listed pastes in a pastebin
curl --location --request GET 'https://api.omg.lol/address/adam/pastebin'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here are the listed pastes for adam.",
"pastebin": [
{
"title": "hello-world",
"content": "yo world, sup",
"modified_on": "1656897567"
},
{
"title": "api",
"content": "This paste, like all others, can be fully managed with the omg.lol API.",
"modified_on": "1656569579"
}
]
}
}
Pastebin · Create or update a paste in a Pastebin
Create or update a paste in a Pastebin
Bearer Token POST /address/address/pastebin/
Create or update a paste in a pastebin
curl --location --request POST --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/adam/pastebin/' --data '{"title": "new-paste", "content": "This is a new paste."}'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "OK, your paste has been saved.",
"title": "new-paste"
}
}
Pastebin · Delete a paste from a Pastebin
Delete a paste from a Pastebin
Bearer Token DELETE /address/address/pastebin/paste
Delete a paste from a pastebin
curl --location --request DELETE --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/adam/pastebin/delete-me'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "OK, that paste has been deleted."
}
}
Pics
Manage your pics (uploading and optionally cross-posting to Mastodon)
Pics · Upload a pic
Bearer Token POST /address/address/pics/upload
Upload a pic
curl --location --request POST --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/adam/pics/upload' --data '{
"pic": "/9j/4AAQSkZJRgABAQAAAQABAAD/2wBDAA0JCgsKCA0LCgsODg0PEyAVExISEyccHhcgLikxMC4pLSwzOko+MzZGNywtQFdBRkxOUlNSMj5aYVpQYEpRUk//2wBDAQ4ODhMREyYVFSZPNS01T09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT0//wAARCAAgACADASIAAhEBAxEB/8QAFgABAQEAAAAAAAAAAAAAAAAABwQA/8QAIRAAAQMEAgMBAAAAAAAAAAAAAQIEEQADBSESQRUiMWH/xAAWAQEBAQAAAAAAAAAAAAAAAAAAAgT/xAAaEQACAwEBAAAAAAAAAAAAAAABAgAEERIU/9oADAMBAAIRAxEAPwBOqN/lWGOgPHKLalfE7Ku9wNxo7rZd747FuHYTyVbT6iJHImBP5JFFzlxedOF33Fw3LqzKlHuod+ZvpUvRrMcAiiwyrDIyGblFxSfqdhXW4O42N1ZRE2cXmrhF9vcNu6gylQ6pRxD3yOLbuyniq4n2EQOQMGPyQaI/UXaXnxlOgzZdl5HFuGgVxVcT6mYHIGRP5IFFzlveauF2HFs27qDCknql2o3+KYZGC8bIuKT8VsK71I3Gzqjp1FK759VhoMLmze86cIsN7ZuXVmEpHdKOIZeOxbdoVclW0+xmRyJkx+STWYYphjpLNsi2pX1WyrrUncaGqsoicxdu+jFUYBP/2Q==",
"description": "A red dot.",
"alt_text": "A small red circle on a white background",
"tags": "test, red-dot"
}'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Your picture has been uploaded.",
"id": "6ab9b3cd92386",
"size": 559,
"mime": "image/jpeg",
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Resolution Unit": "None",
"X Resolution": "1",
"Y Resolution": "1",
"Image Width": "32",
"Image Height": "32",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Image Size": "32x32",
"Megapixels": "0.001"
},
"url": "https://cdn.some.pics/adam/6ab9b3cd92386.jpg",
"some_pics_url": "https://adam.some.pics/6ab9b3cd92386",
"hide_from_public": false,
"mastodon": null
}
}
Pics · Delete a pic
Bearer Token DELETE /address/address/pics/pic
Delete a pic
curl --location --request DELETE --header 'Authorization: Bearer api_key' 'https://api.omg.lol/address/adam/pics/6ab9b3cd92386'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Your picture has been deleted."
}
}
Pics · Retrieve a pic
No Auth GET /address/address/pics/pic
Retrieve a pic
curl --location --request GET 'https://api.omg.lol/address/adam/pics/6ab96ae262e7e'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here is that picture.",
"pic": {
"id": "6ab96ae262e7e",
"address": "adam",
"created": 1790536421,
"mime": "image/jpeg",
"size": 1817006,
"description": "A custom Garfield cake at the 2026 Kentucky State Fair.",
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 16 Pro",
"Orientation": "Rotate 90 CW",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "26.5.2",
"Modify Date": "2026:08:27 18:57:39-04:00",
"Host Computer": "iPhone 16 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/120",
"F Number": "1.8",
"Exposure Program": "Program AE",
"ISO": "80",
"Exif Version": "0232",
"Date/Time Original": "2026:08:27 18:57:39.980-04:00",
"Create Date": "2026:08:27 18:57:39.980-04:00",
"Offset Time": "-04:00",
"Offset Time Original": "-04:00",
"Offset Time Digitized": "-04:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/120",
"Aperture Value": "1.8",
"Brightness Value": "4.223124755",
"Exposure Compensation": "0",
"Metering Mode": "Multi-segment",
"Flash": "Off, Did not fire",
"Focal Length": "6.8 mm (35 mm equivalent: 24.0 mm)",
"Subject Area": "2014 1511 2218 1328",
"Maker Note Version": "16",
"Run Time Flags": "Valid",
"Run Time Value": "515614647710416",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"AE Stable": "Yes",
"AE Target": "178",
"AE Average": "170",
"AF Stable": "Yes",
"Acceleration Vector": "0.00988789741 -0.9941581488 -0.08215139061",
"Focus Distance Range": "0.23 - 1.30 m",
"Image Capture Type": "Scene",
"Live Photo Video Index": "8595185700",
"Photos App Feature Flags": "0",
"HDR Headroom": "1.00999999",
"AF Performance": "38 1 29",
"Signal To Noise Ratio": "46.37792969",
"Photo Identifier": "CB68C380-2336-47CD-88EC-C0D5376D697A",
"Color Temperature": "3701",
"Camera Type": "Back Normal",
"Focus Position": "121",
"HDR Gain": "0.2781250179",
"AF Measured Depth": "36",
"AF Confidence": "97",
"Sub Sec Time Original": "980",
"Sub Sec Time Digitized": "980",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "4032",
"Exif Image Height": "3024",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Focal Length In 35mm Format": "24 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-15.65999985mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 16 Pro back triple camera 6.765mm f/1.78",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2956",
"Thumbnail Length": "9156",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "219358",
"MP Image Start": "1597648",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Uniform Resource Name": "urn:iso:std:iso:ts:21496:-1",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "0",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"HDR Gain Curve": "(Binary data 1363 bytes, use -b option to extract)",
"Image Width": "4032",
"Image Height": "3024",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "5 days 23:13:35",
"Aperture": "1.8",
"Image Size": "4032x3024",
"Megapixels": "12.2",
"Scale Factor To 35 mm Equivalent": "3.5",
"Shutter Speed": "1/120",
"Thumbnail Image": "(Binary data 9156 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 219358 bytes, use -b option to extract)",
"Circle Of Confusion": "0.008 mm",
"Field Of View": "73.7 deg",
"Hyperfocal Distance": "3.04 m",
"Light Value": "8.9",
"Lens ID": "iPhone 16 Pro back triple camera 6.765mm f/1.78"
},
"tags": [
"art",
"cake",
"garfield"
],
"alt_text": "An incredibly detailed custom cake, depicting Garfield the cat atop a pepperoni pizza, beside a tower consisting of a pan of lasagna, a giant Italian sub sandwich, and a bowl of spaghetti and meatballs at the very top (complete with fork stuck in a meatball atop the mountain of spaghetti).",
"hide_from_public": "",
"mastodon": {
"state": "posted",
"url": "https://social.lol/@neatnik/117344605742521400",
"instance": "social.lol",
"account": "neatnik@social.lol",
"status_id": "117344605742521400",
"posted": 1790536586,
"synced": 1790536586,
"sync_error": null
},
"mastodon_eligible": true
}
}
}
Pics · Retrieve all pics for an address
No Auth GET /address/address/pics
Retrieve all pics for an address
curl --location --request GET 'https://api.omg.lol/address/adam/pics'
{
"request": {
"status_code": 200,
"success": true
},
"response": {
"message": "Here are all of adam’s pictures.",
"pics": [
{
"id": "6ab96ae262e7e",
"address": "adam",
"created": 1790536421,
"mime": "image/jpeg",
"size": 1817006,
"url": "https://cdn.some.pics/adam/6ab96ae262e7e.jpg",
"some_pics_url": "https://adam.some.pics/6ab96ae262e7e",
"description": "A custom Garfield cake at the 2026 Kentucky State Fair.",
"alt": "An incredibly detailed custom cake, depicting Garfield the cat atop a pepperoni pizza, beside a tower consisting of a pan of lasagna, a giant Italian sub sandwich, and a bowl of spaghetti and meatballs at the very top (complete with fork stuck in a meatball atop the mountain of spaghetti).",
"alt_text": "An incredibly detailed custom cake, depicting Garfield the cat atop a pepperoni pizza, beside a tower consisting of a pan of lasagna, a giant Italian sub sandwich, and a bowl of spaghetti and meatballs at the very top (complete with fork stuck in a meatball atop the mountain of spaghetti).",
"hide_from_public": false,
"tags": [
"art",
"cake",
"garfield"
],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 16 Pro",
"Orientation": "Rotate 90 CW",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "26.5.2",
"Modify Date": "2026:08:27 18:57:39-04:00",
"Host Computer": "iPhone 16 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/120",
"F Number": "1.8",
"Exposure Program": "Program AE",
"ISO": "80",
"Exif Version": "0232",
"Date/Time Original": "2026:08:27 18:57:39.980-04:00",
"Create Date": "2026:08:27 18:57:39.980-04:00",
"Offset Time": "-04:00",
"Offset Time Original": "-04:00",
"Offset Time Digitized": "-04:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/120",
"Aperture Value": "1.8",
"Brightness Value": "4.223124755",
"Exposure Compensation": "0",
"Metering Mode": "Multi-segment",
"Flash": "Off, Did not fire",
"Focal Length": "6.8 mm (35 mm equivalent: 24.0 mm)",
"Subject Area": "2014 1511 2218 1328",
"Maker Note Version": "16",
"Run Time Flags": "Valid",
"Run Time Value": "515614647710416",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"AE Stable": "Yes",
"AE Target": "178",
"AE Average": "170",
"AF Stable": "Yes",
"Acceleration Vector": "0.00988789741 -0.9941581488 -0.08215139061",
"Focus Distance Range": "0.23 - 1.30 m",
"Image Capture Type": "Scene",
"Live Photo Video Index": "8595185700",
"Photos App Feature Flags": "0",
"HDR Headroom": "1.00999999",
"AF Performance": "38 1 29",
"Signal To Noise Ratio": "46.37792969",
"Photo Identifier": "CB68C380-2336-47CD-88EC-C0D5376D697A",
"Color Temperature": "3701",
"Camera Type": "Back Normal",
"Focus Position": "121",
"HDR Gain": "0.2781250179",
"AF Measured Depth": "36",
"AF Confidence": "97",
"Sub Sec Time Original": "980",
"Sub Sec Time Digitized": "980",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "4032",
"Exif Image Height": "3024",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Focal Length In 35mm Format": "24 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-15.65999985mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 16 Pro back triple camera 6.765mm f/1.78",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2956",
"Thumbnail Length": "9156",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "219358",
"MP Image Start": "1597648",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Uniform Resource Name": "urn:iso:std:iso:ts:21496:-1",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "0",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"HDR Gain Curve": "(Binary data 1363 bytes, use -b option to extract)",
"Image Width": "4032",
"Image Height": "3024",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "5 days 23:13:35",
"Aperture": "1.8",
"Image Size": "4032x3024",
"Megapixels": "12.2",
"Scale Factor To 35 mm Equivalent": "3.5",
"Shutter Speed": "1/120",
"Thumbnail Image": "(Binary data 9156 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 219358 bytes, use -b option to extract)",
"Circle Of Confusion": "0.008 mm",
"Field Of View": "73.7 deg",
"Hyperfocal Distance": "3.04 m",
"Light Value": "8.9",
"Lens ID": "iPhone 16 Pro back triple camera 6.765mm f/1.78"
},
"mastodon_eligible": true,
"mastodon": {
"state": "posted",
"url": "https://social.lol/@neatnik/117344605742521400",
"instance": "social.lol",
"account": "neatnik@social.lol",
"status_id": "117344605742521400",
"posted": 1790536586,
"synced": 1790536586,
"sync_error": null
}
},
{
"id": "6a824c756898f",
"address": "adam",
"created": 1786924153,
"mime": "image/jpeg",
"size": 1781168,
"url": "https://cdn.some.pics/adam/6a824c756898f.jpg",
"some_pics_url": "https://adam.some.pics/6a824c756898f",
"description": "Waffle House changed their syrup. :-|",
"alt": "A Waffle House syrup packet.",
"alt_text": "A Waffle House syrup packet.",
"hide_from_public": false,
"tags": [],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 16 Pro",
"Orientation": "Rotate 90 CW",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "26.5.2",
"Modify Date": "2026:08:14 23:39:58-04:00",
"Host Computer": "iPhone 16 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/45",
"F Number": "2.2",
"Exposure Program": "Program AE",
"ISO": "1250",
"Exif Version": "0232",
"Date/Time Original": "2026:08:14 23:39:58.141-04:00",
"Create Date": "2026:08:14 23:39:58.141-04:00",
"Offset Time": "-04:00",
"Offset Time Original": "-04:00",
"Offset Time Digitized": "-04:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/45",
"Aperture Value": "2.2",
"Brightness Value": "-0.2907148364",
"Exposure Compensation": "0",
"Metering Mode": "Multi-segment",
"Flash": "Off, Did not fire",
"Focal Length": "2.2 mm (35 mm equivalent: 25.0 mm)",
"Subject Area": "2012 1509 2247 1348",
"Maker Note Version": "16",
"Run Time Flags": "Valid",
"Run Time Value": "4959910835625",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"AE Stable": "Yes",
"AE Target": "176",
"AE Average": "201",
"AF Stable": "Yes",
"Acceleration Vector": "0.004202878569 -0.3668608666 -0.9286804798",
"Image Capture Type": "Photo",
"Live Photo Video Index": "4235300",
"Photos App Feature Flags": "0",
"HDR Headroom": "1.00999999",
"AF Performance": "6 1 14",
"Signal To Noise Ratio": "19.04308511",
"Photo Identifier": "52FC782A-64F8-400C-820E-61563A0F8E06",
"Color Temperature": "3913",
"Camera Type": "Back Normal",
"Focus Position": "83",
"HDR Gain": "3.13750267",
"AF Measured Depth": "8",
"AF Confidence": "92",
"Sub Sec Time Original": "141",
"Sub Sec Time Digitized": "141",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "4032",
"Exif Image Height": "3024",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Digital Zoom Ratio": "1.804295943",
"Focal Length In 35mm Format": "25 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-15.65999985mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 16 Pro back triple camera 2.22mm f/2.2",
"Composite Image": "General Composite Image",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2954",
"Thumbnail Length": "9807",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "350504",
"MP Image Start": "1430664",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Uniform Resource Name": "urn:iso:std:iso:ts:21496:-1",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "0",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"HDR Gain Curve": "(Binary data 1359 bytes, use -b option to extract)",
"Image Width": "4032",
"Image Height": "3024",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "1:22:40",
"Aperture": "2.2",
"Image Size": "4032x3024",
"Megapixels": "12.2",
"Scale Factor To 35 mm Equivalent": "11.3",
"Shutter Speed": "1/45",
"Thumbnail Image": "(Binary data 9807 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 350504 bytes, use -b option to extract)",
"Circle Of Confusion": "0.003 mm",
"Field Of View": "71.5 deg",
"Hyperfocal Distance": "0.84 m",
"Light Value": "4.1",
"Lens ID": "iPhone 16 Pro back triple camera 2.22mm f/2.2"
},
"mastodon_eligible": true,
"mastodon": null
},
{
"id": "6a8001fd3559d",
"address": "adam",
"created": 1786774357,
"mime": "image/jpeg",
"size": 1817458,
"url": "https://cdn.some.pics/adam/6a8001fd3559d.jpg",
"some_pics_url": "https://adam.some.pics/6a8001fd3559d",
"description": "The jets are still there",
"alt": "Grounded MD-11 jets at the UPS facility in Louisville, KY.",
"alt_text": "Grounded MD-11 jets at the UPS facility in Louisville, KY.",
"hide_from_public": false,
"tags": [],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 16 Pro",
"Orientation": "Horizontal (normal)",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "26.5.2",
"Modify Date": "2026:08:14 16:58:10-04:00",
"Host Computer": "iPhone 16 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/7143",
"F Number": "1.8",
"Exposure Program": "Program AE",
"ISO": "64",
"Exif Version": "0232",
"Date/Time Original": "2026:08:14 16:58:10.096-04:00",
"Create Date": "2026:08:14 16:58:10.096-04:00",
"Offset Time": "-04:00",
"Offset Time Original": "-04:00",
"Offset Time Digitized": "-04:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/7143",
"Aperture Value": "1.8",
"Brightness Value": "10.7881729",
"Exposure Compensation": "0",
"Metering Mode": "Spot",
"Flash": "Off, Did not fire",
"Focal Length": "6.8 mm (35 mm equivalent: 58.0 mm)",
"Subject Area": "2231 1603 271 270",
"Maker Note Version": "16",
"Run Time Flags": "Valid",
"Run Time Value": "46899106712291",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"AE Stable": "No",
"AE Target": "197",
"AE Average": "206",
"AF Stable": "Yes",
"Acceleration Vector": "-0.9954165818 -0.0003731332256 0.07354338463",
"Focus Distance Range": "0.27 - 2.78 m",
"Image Capture Type": "Scene",
"Live Photo Video Index": "5421108",
"Luminance Noise Amplitude": "0.01048321835",
"Photos App Feature Flags": "1",
"HDR Headroom": "1.00999999",
"AF Performance": "2610 1 19",
"Signal To Noise Ratio": "60.16197967",
"Photo Identifier": "43ED468D-7873-4734-A1D9-85618775ABE4",
"Color Temperature": "5468",
"Camera Type": "Back Normal",
"Focus Position": "56",
"HDR Gain": "0.1694366784",
"AF Measured Depth": "1070",
"AF Confidence": "0",
"Sub Sec Time Original": "096",
"Sub Sec Time Digitized": "096",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "4032",
"Exif Image Height": "3024",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Digital Zoom Ratio": "1.208633094",
"Focal Length In 35mm Format": "58 mm",
"Scene Capture Type": "Standard",
"Lens Info": "6.764999866-15.65999985mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 16 Pro back triple camera 6.765mm f/1.78",
"Composite Image": "General Composite Image",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2984",
"Thumbnail Length": "5396",
"XMP Toolkit": "XMP Core 6.0.0",
"Creator Tool": "26.5.2",
"Date Created": "2026:08:14 16:58:10",
"Region Type": "Focus",
"Region Area Y": "0.56350119904076745",
"Region Area W": "0.19119424460431655",
"Region Area X": "0.60652757793764978",
"Region Area H": "0.25502158273381292",
"Region Area Unit": "normalized",
"Region Applied To Dimensions H": "3024",
"Region Applied To Dimensions W": "4032",
"Region Applied To Dimensions Unit": "pixel",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "205597",
"MP Image Start": "1611861",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Uniform Resource Name": "urn:iso:std:iso:ts:21496:-1",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "0",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"HDR Gain Curve": "(Binary data 1322 bytes, use -b option to extract)",
"Image Width": "4032",
"Image Height": "3024",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "13:01:39",
"Aperture": "1.8",
"Image Size": "4032x3024",
"Megapixels": "12.2",
"Scale Factor To 35 mm Equivalent": "8.6",
"Shutter Speed": "1/7143",
"Thumbnail Image": "(Binary data 5396 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 205597 bytes, use -b option to extract)",
"Circle Of Confusion": "0.004 mm",
"Field Of View": "34.5 deg",
"Hyperfocal Distance": "7.34 m",
"Light Value": "15.1",
"Lens ID": "iPhone 16 Pro back triple camera 6.765mm f/1.78"
},
"mastodon_eligible": true,
"mastodon": null
},
{
"id": "6a60591e81819",
"address": "adam",
"created": 1784699170,
"mime": "image/jpeg",
"size": 1849211,
"url": "https://cdn.some.pics/adam/6a60591e81819.jpg",
"some_pics_url": "https://adam.some.pics/6a60591e81819",
"description": "Clouds and light",
"alt": "An evening sky framed by thick gray clouds, with a yellow light of the setting sun poking out from the middle, radiating to pink and a purple hue beyond",
"alt_text": "An evening sky framed by thick gray clouds, with a yellow light of the setting sun poking out from the middle, radiating to pink and a purple hue beyond",
"hide_from_public": false,
"tags": [],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 16 Pro",
"Orientation": "Horizontal (normal)",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "26.5.2",
"Modify Date": "2026:07:21 20:13:30.876-05:00",
"Host Computer": "iPhone 16 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/120",
"F Number": "1.8",
"Exposure Program": "Program AE",
"ISO": "100",
"Exif Version": "0232",
"Date/Time Original": "2026:07:21 20:13:30.876-05:00",
"Create Date": "2026:07:21 20:13:30.876-05:00",
"Offset Time": "-05:00",
"Offset Time Original": "-05:00",
"Offset Time Digitized": "-05:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/120",
"Aperture Value": "1.8",
"Brightness Value": "4.128277309",
"Exposure Compensation": "0",
"Metering Mode": "Multi-segment",
"Flash": "Off, Did not fire",
"Focal Length": "6.8 mm (35 mm equivalent: 45.0 mm)",
"Subject Area": "2845 2132 3140 1879",
"Maker Note Version": "16",
"Run Time Flags": "Valid",
"Run Time Value": "180165320090166",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"AE Stable": "Yes",
"AE Target": "188",
"AE Average": "181",
"AF Stable": "Yes",
"Acceleration Vector": "-0.9406150583 0.03310016916 0.3611620364",
"Focus Distance Range": "0.88 - 1.63 m",
"Image Capture Type": "Scene",
"Live Photo Video Index": "8595185700",
"Photos App Feature Flags": "0",
"HDR Headroom": "1.00999999",
"AF Performance": "522 1 26",
"Signal To Noise Ratio": "46.09210201",
"Photo Identifier": "2732A269-8870-43B1-8596-BBB9C6026771",
"Color Temperature": "2902",
"Camera Type": "Back Normal",
"Focus Position": "49",
"HDR Gain": "0.00828672014",
"AF Measured Depth": "1065",
"AF Confidence": "0",
"Sub Sec Time": "876",
"Sub Sec Time Original": "876",
"Sub Sec Time Digitized": "876",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "5712",
"Exif Image Height": "4284",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Digital Zoom Ratio": "1.327137546",
"Focal Length In 35mm Format": "45 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-15.65999985mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 16 Pro back triple camera 6.765mm f/1.78",
"Composite Image": "General Composite Image",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2976",
"Thumbnail Length": "4713",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "359925",
"MP Image Start": "1489286",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Uniform Resource Name": "urn:iso:std:iso:ts:21496:-1",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "0",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"HDR Gain Curve": "(Binary data 1944 bytes, use -b option to extract)",
"Current IPTC Digest": "db311720c15b7c10d59b56a55b15fdf5",
"Coded Character Set": "UTF8",
"Application Record Version": "2",
"Time Created": "20:13:30-05:00",
"Date Created": "2026:07:21",
"IPTC Digest": "db311720c15b7c10d59b56a55b15fdf5",
"Image Width": "5712",
"Image Height": "4284",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "2 days 2:02:45",
"Aperture": "1.8",
"Image Size": "5712x4284",
"Megapixels": "24.5",
"Scale Factor To 35 mm Equivalent": "6.7",
"Shutter Speed": "1/120",
"Thumbnail Image": "(Binary data 4713 bytes, use -b option to extract)",
"Date/Time Created": "2026:07:21 20:13:30-05:00",
"MP Image 2": "(Binary data 359925 bytes, use -b option to extract)",
"Circle Of Confusion": "0.005 mm",
"Field Of View": "43.6 deg",
"Hyperfocal Distance": "5.69 m",
"Light Value": "8.6",
"Lens ID": "iPhone 16 Pro back triple camera 6.765mm f/1.78"
},
"mastodon_eligible": true,
"mastodon": null
},
{
"id": "6a6058f33c566",
"address": "adam",
"created": 1784699127,
"mime": "image/jpeg",
"size": 5711536,
"url": "https://cdn.some.pics/adam/6a6058f33c566.jpg",
"some_pics_url": "https://adam.some.pics/6a6058f33c566",
"description": "The name placard on door to Ernest Tubb’s private room on his tour bus.",
"alt": null,
"alt_text": null,
"hide_from_public": false,
"tags": [],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 16 Pro",
"Orientation": "Horizontal (normal)",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "26.5.2",
"Modify Date": "2026:07:21 15:45:15-05:00",
"Host Computer": "iPhone 16 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/34",
"F Number": "1.8",
"Exposure Program": "Program AE",
"ISO": "800",
"Exif Version": "0232",
"Date/Time Original": "2026:07:21 15:45:15.605-05:00",
"Create Date": "2026:07:21 15:45:15.605-05:00",
"Offset Time": "-05:00",
"Offset Time Original": "-05:00",
"Offset Time Digitized": "-05:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/34",
"Aperture Value": "1.8",
"Brightness Value": "-0.8232088996",
"Exposure Compensation": "0",
"Metering Mode": "Multi-segment",
"Flash": "Off, Did not fire",
"Focal Length": "6.8 mm (35 mm equivalent: 24.0 mm)",
"Subject Area": "2853 2140 3142 1881",
"Maker Note Version": "16",
"Run Time Flags": "Valid",
"Run Time Value": "164908607711250",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"AE Stable": "Yes",
"AE Target": "158",
"AE Average": "162",
"AF Stable": "Yes",
"Acceleration Vector": "-1.002767563 0.0189083442 -0.1317890733",
"Focus Distance Range": "1.14 - 1.16 m",
"Image Capture Type": "Scene",
"Live Photo Video Index": "8595185700",
"Photos App Feature Flags": "0",
"HDR Headroom": "1.00999999",
"AF Performance": "30 1 30",
"Signal To Noise Ratio": "31.05980112",
"Photo Identifier": "5446F7ED-D968-42C6-B9E0-3F0F42392009",
"Color Temperature": "3469",
"Camera Type": "Back Normal",
"Focus Position": "144",
"HDR Gain": "1.802441357",
"AF Measured Depth": "28",
"AF Confidence": "100",
"Sub Sec Time Original": "605",
"Sub Sec Time Digitized": "605",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "5712",
"Exif Image Height": "4284",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Focal Length In 35mm Format": "24 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-15.65999985mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 16 Pro back triple camera 6.765mm f/1.78",
"Composite Image": "General Composite Image",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2944",
"Thumbnail Length": "12201",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "926165",
"MP Image Start": "4785371",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Uniform Resource Name": "urn:iso:std:iso:ts:21496:-1",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "0",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"HDR Gain Curve": "(Binary data 2062 bytes, use -b option to extract)",
"Image Width": "5712",
"Image Height": "4284",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "1 days 21:48:29",
"Aperture": "1.8",
"Image Size": "5712x4284",
"Megapixels": "24.5",
"Scale Factor To 35 mm Equivalent": "3.5",
"Shutter Speed": "1/34",
"Thumbnail Image": "(Binary data 12201 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 926165 bytes, use -b option to extract)",
"Circle Of Confusion": "0.008 mm",
"Field Of View": "73.7 deg",
"Hyperfocal Distance": "3.04 m",
"Light Value": "3.8",
"Lens ID": "iPhone 16 Pro back triple camera 6.765mm f/1.78"
},
"mastodon_eligible": false,
"mastodon": null
},
{
"id": "68abf3a982488",
"address": "adam",
"created": 1756099500,
"mime": "image/jpeg",
"size": 3122401,
"url": "https://cdn.some.pics/adam/68abf3a982488.jpg",
"some_pics_url": "https://adam.some.pics/68abf3a982488",
"description": "A nice little bee seeking some nectar.",
"alt": "",
"alt_text": "",
"hide_from_public": false,
"tags": [
"nature",
"bee",
"flowers"
],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 16 Pro",
"Orientation": "Horizontal (normal)",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "18.5",
"Modify Date": "2025:08:24 14:31:41-04:00",
"Host Computer": "iPhone 16 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/735",
"F Number": "2.2",
"Exposure Program": "Program AE",
"ISO": "40",
"Exif Version": "0232",
"Date/Time Original": "2025:08:24 14:31:41.940-04:00",
"Create Date": "2025:08:24 14:31:41.940-04:00",
"Offset Time": "-04:00",
"Offset Time Original": "-04:00",
"Offset Time Digitized": "-04:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/735",
"Aperture Value": "2.2",
"Brightness Value": "8.661088385",
"Exposure Compensation": "0",
"Metering Mode": "Multi-segment",
"Flash": "Off, Did not fire",
"Focal Length": "2.2 mm (35 mm equivalent: 24.0 mm)",
"Subject Area": "2144 1508 1324 758",
"Run Time Flags": "Valid",
"Run Time Value": "408582704601666",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"Acceleration Vector": "-0.8178235892 -0.1114825457 -0.5616244076",
"Sub Sec Time Original": "940",
"Sub Sec Time Digitized": "940",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "4032",
"Exif Image Height": "3024",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Focal Length In 35mm Format": "24 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-15.65999985mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 16 Pro back triple camera 2.22mm f/2.2",
"Composite Image": "General Composite Image",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2410",
"Thumbnail Length": "13613",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "362765",
"MP Image Start": "2759636",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "ecfda38e388547c36db4bd4f7ada182f",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Image Width": "4032",
"Image Height": "3024",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "4 days 17:29:43",
"Aperture": "2.2",
"Image Size": "4032x3024",
"Lens ID": "iPhone 16 Pro back triple camera 2.22mm f/2.2",
"Megapixels": "12.2",
"Scale Factor To 35 mm Equivalent": "10.8",
"Shutter Speed": "1/735",
"Thumbnail Image": "(Binary data 13613 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 362765 bytes, use -b option to extract)",
"Circle Of Confusion": "0.003 mm",
"Field Of View": "73.7 deg",
"Hyperfocal Distance": "0.81 m",
"Light Value": "13.1"
},
"mastodon_eligible": false,
"mastodon": null
},
{
"id": "67f17170ceb1f",
"address": "adam",
"created": 1743876468,
"mime": "image/jpeg",
"size": 3728764,
"url": "https://cdn.some.pics/adam/67f17170ceb1f.jpg",
"some_pics_url": "https://adam.some.pics/67f17170ceb1f",
"description": "Ferocious jungle cat",
"alt": null,
"alt_text": null,
"hide_from_public": false,
"tags": [],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 16 Pro",
"Orientation": "Horizontal (normal)",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "18.3.2",
"Modify Date": "2025:04:05 14:02:32-04:00",
"Host Computer": "iPhone 16 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/139",
"F Number": "1.8",
"Exposure Program": "Program AE",
"ISO": "125",
"Exif Version": "0232",
"Date/Time Original": "2025:04:05 14:02:32.485-04:00",
"Create Date": "2025:04:05 14:02:32.485-04:00",
"Offset Time": "-04:00",
"Offset Time Original": "-04:00",
"Offset Time Digitized": "-04:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/139",
"Aperture Value": "1.8",
"Brightness Value": "4.065977471",
"Exposure Compensation": "0",
"Metering Mode": "Multi-segment",
"Flash": "Off, Did not fire",
"Focal Length": "6.8 mm (35 mm equivalent: 24.0 mm)",
"Subject Area": "2012 1508 2217 1330",
"Run Time Flags": "Valid",
"Run Time Value": "737841657305375",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"Acceleration Vector": "-1.007455945 -0.020496808 -0.241595149",
"Sub Sec Time Original": "485",
"Sub Sec Time Digitized": "485",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "4032",
"Exif Image Height": "3024",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Focal Length In 35mm Format": "24 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-15.65999985mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 16 Pro back triple camera 6.765mm f/1.78",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2880",
"Thumbnail Length": "10390",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "404167",
"MP Image Start": "3324597",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "ecfda38e388547c36db4bd4f7ada182f",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Image Width": "4032",
"Image Height": "3024",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "8 days 12:57:22",
"Aperture": "1.8",
"Image Size": "4032x3024",
"Lens ID": "iPhone 16 Pro back triple camera 6.765mm f/1.78",
"Megapixels": "12.2",
"Scale Factor To 35 mm Equivalent": "3.5",
"Shutter Speed": "1/139",
"Thumbnail Image": "(Binary data 10390 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 404167 bytes, use -b option to extract)",
"Circle Of Confusion": "0.008 mm",
"Field Of View": "73.7 deg",
"Hyperfocal Distance": "3.04 m",
"Light Value": "8.5"
},
"mastodon_eligible": false,
"mastodon": null
},
{
"id": "67f17152ac24e",
"address": "adam",
"created": 1743876437,
"mime": "image/jpeg",
"size": 1022558,
"url": "https://cdn.some.pics/adam/67f17152ac24e.jpg",
"some_pics_url": "https://adam.some.pics/67f17152ac24e",
"description": "Golden spiral",
"alt": "",
"alt_text": "",
"hide_from_public": false,
"tags": [],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 16 Pro",
"Orientation": "Horizontal (normal)",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "18.3.2",
"Modify Date": "2025:04:05 11:21:51-04:00",
"Host Computer": "iPhone 16 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/99",
"F Number": "2.2",
"Exposure Program": "Program AE",
"ISO": "50",
"Exif Version": "0232",
"Date/Time Original": "2025:04:05 11:21:51.831-04:00",
"Create Date": "2025:04:05 11:21:51.831-04:00",
"Offset Time": "-04:00",
"Offset Time Original": "-04:00",
"Offset Time Digitized": "-04:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/99",
"Aperture Value": "2.2",
"Brightness Value": "6.625908799",
"Exposure Compensation": "0",
"Metering Mode": "Spot",
"Flash": "Off, Did not fire",
"Focal Length": "2.2 mm (35 mm equivalent: 24.0 mm)",
"Subject Area": "2268 1395 428 429",
"Run Time Flags": "Valid",
"Run Time Value": "728333823987041",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"Acceleration Vector": "-1.001586557 0.01716002077 -0.065694578",
"Sub Sec Time Original": "831",
"Sub Sec Time Digitized": "831",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "2835",
"Exif Image Height": "2128",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Focal Length In 35mm Format": "24 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-15.65999985mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 16 Pro back triple camera 2.22mm f/2.2",
"Composite Image": "General Composite Image",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2400",
"Thumbnail Length": "6159",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "171080",
"MP Image Start": "851478",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "ecfda38e388547c36db4bd4f7ada182f",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Image Width": "2835",
"Image Height": "2128",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "8 days 10:18:54",
"Aperture": "2.2",
"Image Size": "2835x2128",
"Lens ID": "iPhone 16 Pro back triple camera 2.22mm f/2.2",
"Megapixels": "6.0",
"Scale Factor To 35 mm Equivalent": "10.8",
"Shutter Speed": "1/99",
"Thumbnail Image": "(Binary data 6159 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 171080 bytes, use -b option to extract)",
"Circle Of Confusion": "0.003 mm",
"Field Of View": "73.7 deg",
"Hyperfocal Distance": "0.81 m",
"Light Value": "9.9"
},
"mastodon_eligible": false,
"mastodon": null
},
{
"id": "679fbec5065ba",
"address": "adam",
"created": 1738522311,
"mime": "image/jpeg",
"size": 2567880,
"url": "https://cdn.some.pics/adam/679fbec5065ba.jpg",
"some_pics_url": "https://adam.some.pics/679fbec5065ba",
"description": "French Pokémon cards!",
"alt": "",
"alt_text": "",
"hide_from_public": false,
"tags": [
"pokemon",
"fun"
],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 16 Pro",
"Orientation": "Rotate 90 CW",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "18.2",
"Modify Date": "2025:01:08 20:04:13-05:00",
"Host Computer": "iPhone 16 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/50",
"F Number": "2.2",
"Exposure Program": "Program AE",
"ISO": "1250",
"Exif Version": "0232",
"Date/Time Original": "2025:01:08 20:04:13.300-05:00",
"Create Date": "2025:01:08 20:04:13.300-05:00",
"Offset Time": "-05:00",
"Offset Time Original": "-05:00",
"Offset Time Digitized": "-05:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/50",
"Aperture Value": "2.2",
"Brightness Value": "-0.4442750453",
"Exposure Compensation": "0",
"Metering Mode": "Multi-segment",
"Flash": "Off, Did not fire",
"Focal Length": "2.2 mm (35 mm equivalent: 24.0 mm)",
"Subject Area": "2169 1499 1324 793",
"Run Time Flags": "Valid",
"Run Time Value": "336052867748875",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"Acceleration Vector": "-0.01794190144 -0.1213391051 -0.97968179",
"Sub Sec Time Original": "300",
"Sub Sec Time Digitized": "300",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "4032",
"Exif Image Height": "3024",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Digital Zoom Ratio": "1.804548528",
"Focal Length In 35mm Format": "24 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-15.65999985mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 16 Pro back triple camera 2.22mm f/2.2",
"Composite Image": "General Composite Image",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2424",
"Thumbnail Length": "9769",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "1053505",
"MP Image Start": "1514375",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "ecfda38e388547c36db4bd4f7ada182f",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Image Width": "4032",
"Image Height": "3024",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "3 days 21:20:53",
"Aperture": "2.2",
"Image Size": "4032x3024",
"Lens ID": "iPhone 16 Pro back triple camera 2.22mm f/2.2",
"Megapixels": "12.2",
"Scale Factor To 35 mm Equivalent": "10.8",
"Shutter Speed": "1/50",
"Thumbnail Image": "(Binary data 9769 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 1053505 bytes, use -b option to extract)",
"Circle Of Confusion": "0.003 mm",
"Field Of View": "73.7 deg",
"Hyperfocal Distance": "0.81 m",
"Light Value": "4.3"
},
"mastodon_eligible": false,
"mastodon": null
},
{
"id": "67625025ab669",
"address": "adam",
"created": 1734496296,
"mime": "image/jpeg",
"size": 5007918,
"url": "https://cdn.some.pics/adam/67625025ab669.jpg",
"some_pics_url": "https://adam.some.pics/67625025ab669",
"description": "More than 11,000 holiday wreaths were laid on the graves of veterans interred at the Zachary Taylor National Cemetery in Louisville, KY.",
"alt": "Dozens of veteran graves with holiday wreaths placed before them",
"alt_text": "Dozens of veteran graves with holiday wreaths placed before them",
"hide_from_public": false,
"tags": [
"cemetary",
"symmetry"
],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 16 Pro",
"Orientation": "Horizontal (normal)",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "18.1.1",
"Modify Date": "2024:12:17 14:03:58-05:00",
"Host Computer": "iPhone 16 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/2088",
"F Number": "1.8",
"Exposure Program": "Program AE",
"ISO": "64",
"Exif Version": "0232",
"Date/Time Original": "2024:12:17 14:03:58.724-05:00",
"Create Date": "2024:12:17 14:03:58.724-05:00",
"Offset Time": "-05:00",
"Offset Time Original": "-05:00",
"Offset Time Digitized": "-05:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/2088",
"Aperture Value": "1.8",
"Brightness Value": "8.80480606",
"Exposure Compensation": "0",
"Metering Mode": "Multi-segment",
"Flash": "Off, Did not fire",
"Focal Length": "6.8 mm (35 mm equivalent: 92.0 mm)",
"Subject Area": "2009 1489 1106 657",
"Run Time Flags": "Valid",
"Run Time Value": "236432395371583",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"Acceleration Vector": "-1.010028243 0.03379477936 -0.03919431939",
"Sub Sec Time Original": "724",
"Sub Sec Time Digitized": "724",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "4032",
"Exif Image Height": "3024",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Digital Zoom Ratio": "1.92611465",
"Focal Length In 35mm Format": "92 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-15.65999985mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 16 Pro back triple camera 6.765mm f/1.78",
"Composite Image": "General Composite Image",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2936",
"Thumbnail Length": "10508",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "542433",
"MP Image Start": "4465485",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "ecfda38e388547c36db4bd4f7ada182f",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Image Width": "4032",
"Image Height": "3024",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "2 days 17:40:32",
"Aperture": "1.8",
"Image Size": "4032x3024",
"Lens ID": "iPhone 16 Pro back triple camera 6.765mm f/1.78",
"Megapixels": "12.2",
"Scale Factor To 35 mm Equivalent": "13.6",
"Shutter Speed": "1/2088",
"Thumbnail Image": "(Binary data 10508 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 542433 bytes, use -b option to extract)",
"Circle Of Confusion": "0.002 mm",
"Field Of View": "22.1 deg",
"Hyperfocal Distance": "11.64 m",
"Light Value": "13.3"
},
"mastodon_eligible": true,
"mastodon": null
},
{
"id": "6714161c6d289",
"address": "adam",
"created": 1729369631,
"mime": "image/jpeg",
"size": 3003771,
"url": "https://cdn.some.pics/adam/6714161c6d289.jpg",
"some_pics_url": "https://adam.some.pics/6714161c6d289",
"description": "A little bee friend on some honeybells.",
"alt": "",
"alt_text": "",
"hide_from_public": false,
"tags": [
"nature",
"bee",
"flowers"
],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 15 Pro",
"Orientation": "Horizontal (normal)",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "18.0",
"Modify Date": "2024:10:19 16:21:23-04:00",
"Host Computer": "iPhone 15 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/529",
"F Number": "2.2",
"Exposure Program": "Program AE",
"ISO": "40",
"Exif Version": "0232",
"Date/Time Original": "2024:10:19 16:21:23.916-04:00",
"Create Date": "2024:10:19 16:21:23.916-04:00",
"Offset Time": "-04:00",
"Offset Time Original": "-04:00",
"Offset Time Digitized": "-04:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/529",
"Aperture Value": "2.2",
"Brightness Value": "8.133058018",
"Exposure Compensation": "0",
"Metering Mode": "Multi-segment",
"Flash": "Off, Did not fire",
"Focal Length": "2.2 mm (35 mm equivalent: 24.0 mm)",
"Subject Area": "2147 1508 1325 794",
"Run Time Flags": "Valid",
"Run Time Value": "51839177288666",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"Acceleration Vector": "-0.7953546046 0.1805082112 -0.5765836242",
"Sub Sec Time Original": "916",
"Sub Sec Time Digitized": "916",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "4032",
"Exif Image Height": "3024",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Digital Zoom Ratio": "1.775643409",
"Focal Length In 35mm Format": "24 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-9mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 15 Pro back triple camera 2.22mm f/2.2",
"Composite Image": "General Composite Image",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2824",
"Thumbnail Length": "14461",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "348116",
"MP Image Start": "2655655",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "ecfda38e388547c36db4bd4f7ada182f",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Image Width": "4032",
"Image Height": "3024",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "14:23:59",
"Aperture": "2.2",
"Image Size": "4032x3024",
"Lens ID": "iPhone 15 Pro back triple camera 2.22mm f/2.2",
"Megapixels": "12.2",
"Scale Factor To 35 mm Equivalent": "10.8",
"Shutter Speed": "1/529",
"Thumbnail Image": "(Binary data 14461 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 348116 bytes, use -b option to extract)",
"Circle Of Confusion": "0.003 mm",
"Field Of View": "73.7 deg",
"Hyperfocal Distance": "0.81 m",
"Light Value": "12.6"
},
"mastodon_eligible": false,
"mastodon": null
},
{
"id": "670d8caec5821",
"address": "adam",
"created": 1728941235,
"mime": "image/jpeg",
"size": 4534687,
"url": "https://cdn.some.pics/adam/670d8caec5821.jpg",
"some_pics_url": "https://adam.some.pics/670d8caec5821",
"description": "The grave of Harry Collins, who was the official corporate magician for the Frito-Lay company until his death in 1985. Photo taken in Cave Hill Cemetery, Louisville KY.",
"alt": null,
"alt_text": null,
"hide_from_public": false,
"tags": [
"WeblogPhoMo"
],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 15 Pro",
"Orientation": "Horizontal (normal)",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "18.0",
"Modify Date": "2024:10:14 15:29:17-04:00",
"Host Computer": "iPhone 15 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/99",
"F Number": "2.8",
"Exposure Program": "Program AE",
"ISO": "125",
"Exif Version": "0232",
"Date/Time Original": "2024:10:14 15:29:17.858-04:00",
"Create Date": "2024:10:14 15:29:17.858-04:00",
"Offset Time": "-04:00",
"Offset Time Original": "-04:00",
"Offset Time Digitized": "-04:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/99",
"Aperture Value": "2.8",
"Brightness Value": "4.896307899",
"Exposure Compensation": "0",
"Metering Mode": "Multi-segment",
"Flash": "Off, Did not fire",
"Focal Length": "9.0 mm (35 mm equivalent: 94.0 mm)",
"Subject Area": "2025 1520 2220 1335",
"Run Time Flags": "Valid",
"Run Time Value": "689653533020416",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"Acceleration Vector": "-0.9903179999 -0.0252874419 0.03399411961",
"Sub Sec Time Original": "858",
"Sub Sec Time Digitized": "858",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "4032",
"Exif Image Height": "3024",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Digital Zoom Ratio": "1.223300971",
"Focal Length In 35mm Format": "94 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-9mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 15 Pro back triple camera 9mm f/2.8",
"Composite Image": "General Composite Image",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2806",
"Thumbnail Length": "11386",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "459997",
"MP Image Start": "4074690",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "ecfda38e388547c36db4bd4f7ada182f",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Image Width": "4032",
"Image Height": "3024",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "7 days 23:34:14",
"Aperture": "2.8",
"Image Size": "4032x3024",
"Lens ID": "iPhone 15 Pro back triple camera 9mm f/2.8",
"Megapixels": "12.2",
"Scale Factor To 35 mm Equivalent": "10.4",
"Shutter Speed": "1/99",
"Thumbnail Image": "(Binary data 11386 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 459997 bytes, use -b option to extract)",
"Circle Of Confusion": "0.003 mm",
"Field Of View": "21.7 deg",
"Hyperfocal Distance": "10.06 m",
"Light Value": "9.3"
},
"mastodon_eligible": false,
"mastodon": null
},
{
"id": "668c4d418d75b",
"address": "adam",
"created": 1720470853,
"mime": "image/jpeg",
"size": 2306157,
"url": "https://cdn.some.pics/adam/668c4d418d75b.jpg",
"some_pics_url": "https://adam.some.pics/668c4d418d75b",
"description": "Blossoms",
"alt": null,
"alt_text": null,
"hide_from_public": false,
"tags": [
"flower",
"pink"
],
"exif": {
"File Type": "JPEG",
"File Type Extension": "jpg",
"MIME Type": "image/jpeg",
"JFIF Version": "1.01",
"Exif Byte Order": "Big-endian (Motorola, MM)",
"Make": "Apple",
"Camera Model Name": "iPhone 15 Pro",
"Orientation": "Horizontal (normal)",
"X Resolution": "72",
"Y Resolution": "72",
"Resolution Unit": "inches",
"Software": "17.5.1",
"Modify Date": "2024:07:08 16:33:35-04:00",
"Host Computer": "iPhone 15 Pro",
"Y Cb Cr Positioning": "Centered",
"Exposure Time": "1/138",
"F Number": "2.2",
"Exposure Program": "Program AE",
"ISO": "32",
"Exif Version": "0232",
"Date/Time Original": "2024:07:08 16:33:35.186-04:00",
"Create Date": "2024:07:08 16:33:35.186-04:00",
"Offset Time": "-04:00",
"Offset Time Original": "-04:00",
"Offset Time Digitized": "-04:00",
"Components Configuration": "Y, Cb, Cr, -",
"Shutter Speed Value": "1/138",
"Aperture Value": "2.2",
"Brightness Value": "6.386552197",
"Exposure Compensation": "0",
"Metering Mode": "Spot",
"Flash": "Off, Did not fire",
"Focal Length": "2.2 mm (35 mm equivalent: 24.0 mm)",
"Subject Area": "1827 1464 447 448",
"Run Time Flags": "Valid",
"Run Time Value": "118585703661708",
"Run Time Scale": "1000000000",
"Run Time Epoch": "0",
"Acceleration Vector": "-0.9742471579 0.0265088435 0.227898851",
"Sub Sec Time Original": "186",
"Sub Sec Time Digitized": "186",
"Flashpix Version": "0100",
"Color Space": "Uncalibrated",
"Exif Image Width": "4032",
"Exif Image Height": "3024",
"Sensing Method": "One-chip color area",
"Scene Type": "Directly photographed",
"Exposure Mode": "Auto",
"White Balance": "Auto",
"Digital Zoom Ratio": "1.775196039",
"Focal Length In 35mm Format": "24 mm",
"Scene Capture Type": "Standard",
"Lens Info": "2.220000029-9mm f/1.779999971-2.8",
"Lens Make": "Apple",
"Lens Model": "iPhone 15 Pro back triple camera 2.22mm f/2.2",
"Composite Image": "General Composite Image",
"Compression": "JPEG (old-style)",
"Thumbnail Offset": "2730",
"Thumbnail Length": "13560",
"MPF Version": "0100",
"Number Of Images": "2",
"MP Image Flags": "(none)",
"MP Image Format": "JPEG",
"MP Image Type": "Undefined",
"MP Image Length": "283249",
"MP Image Start": "2022908",
"Dependent Image 1 Entry Number": "0",
"Dependent Image 2 Entry Number": "0",
"Profile CMM Type": "Apple Computer Inc.",
"Profile Version": "4.0.0",
"Profile Class": "Display Device Profile",
"Color Space Data": "RGB",
"Profile Connection Space": "XYZ",
"Profile Date Time": "2022:01:01 00:00:00",
"Profile File Signature": "acsp",
"Primary Platform": "Apple Computer Inc.",
"CMM Flags": "Not Embedded, Independent",
"Device Manufacturer": "Apple Computer Inc.",
"Device Attributes": "Reflective, Glossy, Positive, Color",
"Rendering Intent": "Perceptual",
"Connection Space Illuminant": "0.9642 1 0.82491",
"Profile Creator": "Apple Computer Inc.",
"Profile ID": "ecfda38e388547c36db4bd4f7ada182f",
"Profile Description": "Display P3",
"Profile Copyright": "Copyright Apple Inc., 2022",
"Media White Point": "0.96419 1 0.82489",
"Red Matrix Column": "0.51512 0.2412 -0.00105",
"Green Matrix Column": "0.29198 0.69225 0.04189",
"Blue Matrix Column": "0.1571 0.06657 0.78407",
"Red Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Chromatic Adaptation": "1.04788 0.02292 -0.0502 0.02959 0.99048 -0.01706 -0.00923 0.01508 0.75168",
"Blue Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Green Tone Reproduction Curve": "(Binary data 32 bytes, use -b option to extract)",
"Image Width": "4032",
"Image Height": "3024",
"Encoding Process": "Baseline DCT, Huffman coding",
"Bits Per Sample": "8",
"Color Components": "3",
"Y Cb Cr Sub Sampling": "YCbCr4:2:0 (2 2)",
"Run Time Since Power Up": "1 days 8:56:26",
"Aperture": "2.2",
"Image Size": "4032x3024",
"Lens ID": "iPhone 15 Pro back triple camera 2.22mm f/2.2",
"Megapixels": "12.2",
"Scale Factor To 35 mm Equivalent": "10.8",
"Shutter Speed": "1/138",
"Thumbnail Image": "(Binary data 13560 bytes, use -b option to extract)",
"MP Image 2": "(Binary data 283249 bytes, use -b option to extract)",
"Circle Of Confusion": "0.003 mm",
"Field Of View": "73.7 deg",
"Hyperfocal Distance": "0.81 m",
"Light Value": "11.0"
},
"mastodon_eligible": false,
"mastodon": null
},
{
"id": "668c4c7d56077",
"address": "adam",
"created": 1720470659,
"mime": "image/jpeg",
"size": 5336302,
"url": "https://cdn.some.pics/adam/668c4c7d56077.jpg",
"some_pics_url": "https://adam.some.pics/668c4c7d56077",
"description": "Peace among the plants.",
"alt": null,
"alt_text": null,
"hide_from_public": false,
"tags": [],
"exif": {
[...]
